Closed Bug 955187 Opened 8 years ago Closed 3 years ago

Provide PPA for ubuntu

Categories

(Instantbird :: Other, defect)

x86
Linux
defect
Not set
normal

Tracking

(Not tracked)

RESOLVED WONTFIX

People

(Reporter: aleth, Unassigned)

References

Details

*** Original post on bio 1755 at 2012-11-04 20:49:00 UTC ***

It would be nice to provide a repo for ubuntu users.
Blocks: 955174
*** Original post on bio 1755 by Rodrigo Santos <rosonline AT r7.com> at 2012-11-18 16:00:13 UTC ***

I'll try to upload the Instantbird to Ubuntu. There's an Instantbird official PPA: https://launchpad.net/ubuntu/+source/instantbird.

I had tryed the Instantbird PPA, but I can't upload this files to PPA. https://launchpad.net/~rosonline/+archive/instantbird-ppa
*** Original post on bio 1755 at 2012-11-18 16:11:55 UTC ***

(In reply to comment #1)
> I'll try to upload the Instantbird to Ubuntu. There's an Instantbird official
> PPA: https://launchpad.net/ubuntu/+source/instantbird.
What you call the official PPA is the package that was included in the standard ubuntu repositories. It isn't managed by us.

> I had tryed the Instantbird PPA, but I can't upload this files to PPA.
> https://launchpad.net/~rosonline/+archive/instantbird-ppa
You should be able to upload to this. Other people can then add your PPA to their settings and pull Instantbird from it.
*** Original post on bio 1755 by m8r-rtaugn AT mailinator.com at 2013-11-23 08:40:42 UTC ***

If you need a hand managing or creating a new PPA, there are detailed instructions on how to get started here:
http://askubuntu.com/questions/71510/how-do-i-create-a-ppa
and here
https://help.launchpad.net/Packaging/PPA/Uploading

If you would like a hand with this, I'd be happy to help in any way I can.
*** Original post on bio 1755 at 2013-11-23 10:15:09 UTC ***

(In reply to comment #3)

> If you would like a hand with this, I'd be happy to help in any way I can.

Any help will be appreciated. From a quick reading of the links in your previous comment, it seems the first step is to create an ubuntu package.
Then we should likely integrate into our release (or even nightly process) some scripting to create a source package, and upload it to the ubuntu servers so that they can create binaries for us.
*** Original post on bio 1755 at 2013-11-23 10:33:32 UTC ***

(In reply to comment #3)
> If you would like a hand with this, I'd be happy to help in any way I can.

It would be fantastic if you could take a look at this, as none of our current developers are on ubuntu. There are also some Unity-specific issues (bug 954000 (bio 564), bug 955055 (bio 1625)) and features (bug 955174 (bio 1743), various add-ons) that could be improved/integrated.
On the behalf of Florian:
Closing bugs related to the Instantbird UI as WONTFIX, as the development of the standalone chat client Instantbird has stopped. Instantbird users are encouraged to migrate to Thunderbird. The user interface of instant messaging in Thunderbird will feel familiar, as the Thunderbird IM support started as a fork of Instantbird.
Status: NEW → RESOLVED
Closed: 3 years ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.